"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.vuePreviewPlugin = void 0;
const core_1 = require("@vuepress-denaro/core");
const utils_1 = require("@vuepress/utils");
const md_plugin_vue_preview_1 = require("./md-plugin-vue-preview");
const vuePreviewPlugin = () => {
    const pluginObj = {
        name: `${core_1.pluginNamePrefix}vue-preview`,
        extendsMarkdown(md) {
            md.use(md_plugin_vue_preview_1.mdPluginVueVuePreview);
        },
        clientConfigFile: utils_1.path.resolve(__dirname, '../client/config.js'),
    };
    return pluginObj;
};
exports.vuePreviewPlugin = vuePreviewPlugin;
